* [gentoo-commits] repo/gentoo:master commit in: xfce-base/libxfce4ui/files/, profiles/, xfce-base/libxfce4ui/
@ 2025-03-17 11:56 Michał Górny
0 siblings, 0 replies; only message in thread
From: Michał Górny @ 2025-03-17 11:56 UTC (permalink / raw
To: gentoo-commits
commit: 28c10c1600c67bb7c09941565f172b1e8fd48c99
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 17 11:56:18 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Mar 17 11:56:21 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28c10c16
xfce-base/libxfce4ui: Bump to 4.21.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
profiles/package.mask | 4 +
xfce-base/libxfce4ui/Manifest | 1 +
.../files/libxfce4ui-4.21.0-no-libgtop.patch | 27 +++++++
xfce-base/libxfce4ui/libxfce4ui-4.21.0.ebuild | 90 ++++++++++++++++++++++
4 files changed, 122 insertions(+)
diff --git a/profiles/package.mask b/profiles/package.mask
index cf687cbb504b..68d1f6d7d7eb 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -33,6 +33,10 @@
#--- END OF EXAMPLES ---
+# Michał Górny <mgorny@gentoo.org> (2025-03-17)
+# Xfce 4.22 prereleases. Masked because they tend to be quite unstable.
+>=xfce-base/libxfce4ui-4.21
+
# Michał Górny <mgorny@gentoo.org> (2025-03-17)
# A "forever beta" wrapper over dev-python/requests, with no tests,
# and dead for 9 years already. Finally, no reverse dependencies left.
diff --git a/xfce-base/libxfce4ui/Manifest b/xfce-base/libxfce4ui/Manifest
index e8af4183d0d1..bfc9abc41466 100644
--- a/xfce-base/libxfce4ui/Manifest
+++ b/xfce-base/libxfce4ui/Manifest
@@ -1,2 +1,3 @@
DIST libxfce4ui-4.18.6.tar.bz2 906477 BLAKE2B b9b1a6a3a82760147cdcf9cd462c58044f640bb0c6eaa96f1f56247d6d01ce3ca97d47f6ffa03206452d0501250d6c72fd0c018870ed2c679e9226f44e618ce4 SHA512 1c704dd26793a304fef98c48bc3ca860248e746e9e5c39f22e984439e1a20209763e80e40e6bffcf8f0d773b323b825ebd5da4d88352582e56dfeb7c9b2ca47c
DIST libxfce4ui-4.20.0.tar.bz2 1199495 BLAKE2B 83ce64e1a7131142e53d9eb3cc4a301267f57512bcf86ebfbc14d804f79e249e80ebb96f0c6dd70ea2481b20b8810a3c21caa352b37f6950f70868b54d44e999 SHA512 33d44e57784542278941803026c9730c7fc680e3bfdebf8656fcd55fcdad3e75846c7aedc940540d8c6c6e88a00c5caec279527dd1db13731c679aa1b9cd7138
+DIST libxfce4ui-4.21.0.tar.xz 505448 BLAKE2B 24b935f53cbcd80c7774319823b0fc916a6844953fe3d40d8f979157374494f84d38ec0e3e53863ebb5af208fa73ae33d465a9005e4e97cf43aa8436611892e0 SHA512 0ddca1d0a9bc9277838f4e395c065b3d0df73ba001c12087dd54307f63be2d271a15084fa657fc30143e03a9924ad793ebaab7c07720d95fa9102fca05c0ec52
diff --git a/xfce-base/libxfce4ui/files/libxfce4ui-4.21.0-no-libgtop.patch b/xfce-base/libxfce4ui/files/libxfce4ui-4.21.0-no-libgtop.patch
new file mode 100644
index 000000000000..4828d9022d27
--- /dev/null
+++ b/xfce-base/libxfce4ui/files/libxfce4ui-4.21.0-no-libgtop.patch
@@ -0,0 +1,27 @@
+From fc389428effe3d021bbbb4a2583714e93fe1bb8b Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Ga=C3=ABl=20Bonithon?= <gael@xfce.org>
+Date: Mon, 17 Mar 2025 11:58:24 +0100
+Subject: [PATCH] meson-build: Define missing dependencies when libgtop is
+ disbaled
+
+---
+ meson.build | 3 +++
+ 1 file changed, 3 insertions(+)
+
+diff --git a/meson.build b/meson.build
+index 9dc09459..ba0a90bb 100644
+--- a/meson.build
++++ b/meson.build
+@@ -111,6 +111,9 @@ if libgtop.found()
+ if gudev.found()
+ feature_cflags += '-DHAVE_GUDEV=1'
+ endif
++else
++ epoxy = dependency('', required: false)
++ gudev = dependency('', required: false)
+ endif
+
+ glade = dependency('gladeui-2.0', version: dependency_versions['glade'], required: get_option('glade'))
+--
+GitLab
+
diff --git a/xfce-base/libxfce4ui/libxfce4ui-4.21.0.ebuild b/xfce-base/libxfce4ui/libxfce4ui-4.21.0.ebuild
new file mode 100644
index 000000000000..60d18bf01ab9
--- /dev/null
+++ b/xfce-base/libxfce4ui/libxfce4ui-4.21.0.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson xdg-utils vala
+
+DESCRIPTION="Unified widget and session management libs for Xfce"
+HOMEPAGE="
+ https://docs.xfce.org/xfce/libxfce4ui/start
+ https://gitlab.xfce.org/xfce/libxfce4ui/
+"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.xz"
+
+LICENSE="LGPL-2+ GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="glade gtk-doc +introspection startup-notification system-info vala wayland X"
+REQUIRED_USE="
+ || ( wayland X )
+ vala? ( introspection )
+"
+
+DEPEND="
+ >=dev-libs/glib-2.72.0
+ >=x11-libs/gdk-pixbuf-2.42.8
+ >=x11-libs/gtk+-3.24.0:3[introspection?,wayland?,X?]
+ >=xfce-base/libxfce4util-4.17.2:=[introspection?,vala?]
+ >=xfce-base/xfconf-4.12.0:=
+ glade? ( >=dev-util/glade-3.5.0:3.10 )
+ introspection? ( >=dev-libs/gobject-introspection-1.72.0 )
+ system-info? (
+ >=dev-libs/libgudev-232
+ >=gnome-base/libgtop-2.24.0
+ >=media-libs/libepoxy-1.2
+ )
+ X? (
+ >=x11-libs/libICE-1.0.10
+ >=x11-libs/libSM-1.2.3
+ >=x11-libs/libX11-1.6.7
+ startup-notification? ( >=x11-libs/startup-notification-0.4 )
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+DEPEND+="
+ x11-base/xorg-proto
+"
+BDEPEND="
+ dev-build/xfce4-dev-tools
+ dev-util/glib-utils
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ gtk-doc? ( dev-util/gtk-doc )
+ vala? ( $(vala_depend) )
+"
+
+PATCHES=(
+ # https://gitlab.xfce.org/xfce/libxfce4ui/-/commit/fc389428effe3d021bbbb4a2583714e93fe1bb8b
+ "${FILESDIR}/${P}-no-libgtop.patch"
+)
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use gtk-doc)
+ $(meson_use introspection)
+ $(meson_feature vala)
+ $(meson_feature X x11)
+ $(meson_feature wayland)
+ $(meson_feature X session-management)
+ $(meson_feature startup-notification)
+ $(meson_feature system-info libgtop)
+ $(meson_feature system-info epoxy)
+ $(meson_feature system-info gudev)
+ $(meson_feature glade)
+ -Dvendor-info=Gentoo
+ )
+
+ use vala && vala_setup
+ meson_src_configure
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2025-03-17 11:56 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-03-17 11:56 [gentoo-commits] repo/gentoo:master commit in: xfce-base/libxfce4ui/files/, profiles/, xfce-base/libxfce4ui/ Michał Górny
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox